//
//  FlipsideViewController.h
//  ex_UtilityAppTemplate
//
//  Created by yoshiyuki oshige on 2013/05/11.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import <UIKit/UIKit.h>

//FlipsideViewControllerクラスをデリゲート宣言で使えるようにする
@class FlipsideViewController;

//プロトコルとデリゲートメソッドを宣言する
@protocol FlipsideViewControllerDelegate
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller;
@end

@interface FlipsideViewController : UIViewController
//delegateプロパティの宣言
@property (weak, nonatomic) id <FlipsideViewControllerDelegate> delegate;

//ボタンのタップで実行するメソッドの宣言
- (IBAction)done:(id)sender;

@end
