//
//  MainViewController.m
//  ex_UtilityAppTemplate
//
//  Created by yoshiyuki oshige on 2013/05/11.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "MainViewController.h"

@interface MainViewController ()

@end

@implementation MainViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Flipside View

//FlipsideViewControllerクラスのデリゲートメソッド
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller
{
    //スタックしてあるビューコントローラに移動する（戻ってくる）
    [self dismissViewControllerAnimated:YES completion:nil];
}

//セグエで移動する直前に発生するイベント
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    //セグエの識別子がshowAlternateならば
    if ([[segue identifier] isEqualToString:@"showAlternate"]) {
        //移動先のビューコントローラのデリゲート先にselfを設定する
        [[segue destinationViewController] setDelegate:self];
    }
}

@end
